/*
 *
 * Linup - Uptimes Project Client for Linux
 * Copyright (C) 2002  Joao Sena Ribeiro
 * This file is (C) 2005 by Nikolaus Rameis
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

 /*
   i didn't want to mess too much around in the original code
   so i added this file :)
   
   i replaced every "HOST" with "get_dest()" in sendinfo.c
 */ 

#include "linup.h"
#include <ctype.h>

 #define DEST_MAX 255

 char dest[DEST_MAX + 1] = HOST;
 
 void set_dest(char *d)
 {
     // i hate string operations in c
     int max = strlen(d);
     if (max > DEST_MAX)
          max = DEST_MAX;
     
     strncpy(dest, d, max);
     dest[max] = '\0';
 }
 
 char* get_dest()
 {
      return dest;
 }
